Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.domain
Interface ContentResource

All Superinterfaces:
  org.acegisecurity.acl.basic.AclObjectIdentity, AttributedObject, InternalURI, Resource, java.io.Serializable

All Known Implementing Classes:
  ContentResourceImpl

    public interface ContentResource

extends Resource

Field Summary
`static java.lang.String` | `TYPE_CSV`
`static java.lang.String` | `TYPE_HTML`
`static java.lang.String` | `TYPE_PDF`
`static java.lang.String` | `TYPE_RTF`
`static java.lang.String` | `TYPE_XLS`

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Method Summary
`void` | `addChildResource(ContentResource child)`
`byte[]` | `getData()`
`java.io.InputStream` | `getDataStream()`
`java.lang.String` | `getFileType()`
`java.lang.String` | `getReferenceURI()`
`java.util.List` | `getResources()`
`boolean` | `hasData()`
`boolean` | `isReference()`
`void` | `readData(java.io.InputStream is)`
`void` | `setData(byte[] data)`
`void` | `setFileType(java.lang.String fileType)`
`void` | `setReferenceURI(java.lang.String referenceURI)`
`void` | `setResources(java.util.List resources)`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Field Detail

### TYPE_PDF

    static final java.lang.String TYPE_PDF

See Also:
  Constant Field Values

### TYPE_HTML

    static final java.lang.String TYPE_HTML

See Also:
  Constant Field Values

### TYPE_XLS

    static final java.lang.String TYPE_XLS

See Also:
  Constant Field Values

### TYPE_RTF

    static final java.lang.String TYPE_RTF

See Also:
  Constant Field Values

### TYPE_CSV

    static final java.lang.String TYPE_CSV

See Also:
  Constant Field Values

Method Detail

### hasData

    boolean hasData()

### getDataStream

    java.io.InputStream getDataStream()

### readData

    void readData(java.io.InputStream is)

### getData

    byte[] getData()

### setData

    void setData(byte[] data)

### getFileType

    java.lang.String getFileType()

### setFileType

    void setFileType(java.lang.String fileType)

### isReference

    boolean isReference()

### getReferenceURI

    java.lang.String getReferenceURI()

### setReferenceURI

    void setReferenceURI(java.lang.String referenceURI)

### getResources

    java.util.List getResources()

### setResources

    void setResources(java.util.List resources)

### addChildResource

    void addChildResource(ContentResource child)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.